Bug 113229 - HP Omnibook 900B crashes after XMMS unpause happened once
HP Omnibook 900B crashes after XMMS unpause happened once
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
other Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-09 18:59 EST by Kara
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:57:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kara 2004-01-09 18:59:10 EST
Description of problem:

Crashes frequently (i.e., within minutes) after boot-up, usually after
some keyboard or mouse input.

Version-Release number of selected component (if applicable):
(unknown--perhaps the one that came with Fedora Core 1 install)


How reproducible: it probably isn't--the system has just become
fragile, and anything from changing desktops to hitting "q" in less in
an Xterm can trigger the freeze-up.  However, Ctrl-Alt-<arrow> seems
often (though not always) to be a common thread....(see additional
info below)

Steps to Reproduce:
1.
2.
3.
  
Actual results:  Freeze-up


Expected results:  Freeze-up


Additional info:

Running Gnome desktop that came with Fedora Core 1; machine was an
upgrade (?) from RedHat 8.0, done myself a week ago, with many of the
same settings.  I had not run XMMS before now, and brought it up from
the main start menu.  Had listened to a couple .wav files, then paused
it at the beginning of one of them.  When returned to it shortly (less
than a minute), unpaused, changed screens via Ctrl-Alt-Up and the .wav
file froze in place, like a CD with a skip.  It took me a short while
to shut off the machine, as I had been composing an email and wanted
to take notes so I could recover the message when it came back up.

Shut off, waited several seconds (like 10-15) and restarted it. 
Pressed "Y" for disk cleanup.  Came up with login screen, and after
typing first letter in my login, it froze up.

Shut it off again.  Waited even longer.  Brought it up again, pressing
"Y" (let's just say I do this every time :) at disk cleanup.  This
time, could log in and start several Xterms, then tried Ctrl-Alt-Right
to switch to next desktop to the right (obviously).  Froze up.

Shut off, waited several minutes, restarted (with "y"), brought up
some more Xterms, one with root viewing the /var/log/messages file
(containing no clue as to the freeze-ups) in less, changed desktops to
the right again, though by mousing to desktop switcher with no ill
effects.  Started Evolution in that desktop.  Feeling bold,
Ctrl-Alt-Left to previous window and mouse to root window to hit "q"
in less.  Freeze up.

Note that the machine has been freezing when attaching external
parallel CDROM while running (this may seem silly, but I normally
suspend a system to move it from work to home--if I booted up with
CDROM, it has the capability to see it, but apparently not after it
has been unsuspended--learned this the hard way, I guess).  This time,
however, CDROM is nowhere near.  Had been rock-solid except for CDROM
indiscretion, and up to now.
Comment 1 Bill Nottingham 2004-01-09 19:28:31 EST
This is almost certainly a kernel issue.
Comment 2 Kara 2004-01-13 18:41:21 EST
I just upgraded to the latest kernel (version 2.4.22-1.2140.n) and was
running Evolution (version  ), typing a message, when right in the
middle of my rather quick typing, I managed to experience a freeze-up.
 If I might theorize, I think it may be when things happen a bit too
fast for the system, things crash.  However, it was never like this
before the XMMS episode, so I really don't know.

Hope this helps....
Comment 3 Kara 2004-01-13 18:52:12 EST
*Blush!* Sorry, that was the version of Evolution that came with the
Fedora Core 1 release: 1.4.5-7, I guess.

And I just had another crash at login (this time typing in the
password, admittedly a bit quickly :) in runlevel 5.
Comment 4 Kara 2004-01-13 19:14:52 EST
Okay, I may have something that is reproducible....

In an Xterm, I do some kind of listing that will scroll off the top of
the page.  At the command line, I begin the command (mine was sudo rpm
-U, but it probably doesn't matter), then do a Shift-PageUp, then
begin typing the next argument without doing a Shift-PageDown to
return to the prior view.  I begin typing something and it may even
let me get through a few characters, then it freezes.  I don't always
see the mouse pointer after a freeze, but this time I did.

Sorry for the spam, but I do hope I have been of some service.

Thanks for your patience and assistance.
Comment 5 David Lawrence 2004-09-29 15:57:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.